import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import './assets/index.css'
import i18n from "./i18n"

const app = createApp(App).use(i18n)

// Add protocol variable
// For some reason, import.meta.env.VITE_HTTPS === "true"
// returns false, even if it is true.
// Making a copy of the variable seems to work
const https = (import.meta.env.SAFETWITCH_HTTPS.slice() === "true")
app.provide('protocol', https ? 'https://' : 'http://')



import { OhVueIcon, addIcons } from 'oh-vue-icons'
import {
  IoSearchOutline,
  IoLink,
  FaCircleNotch,
  BiTwitter,
  BiInstagram,
  BiDiscord,
  BiYoutube,
  BiTiktok,
  BiHeartFill,
  IoPerson
} from 'oh-vue-icons/icons'

addIcons(
  IoSearchOutline,
  IoLink,
  FaCircleNotch,
  BiTwitter,
  BiInstagram,
  BiDiscord,
  BiYoutube,
  BiTiktok,
  BiHeartFill,
  IoPerson
)

app.component('v-icon', OhVueIcon)
app.use(router)
app.mount('#app')